Bug 1805763 - Review Request: ossobuffo-jura-fonts - A sans-serif font family in the Eurostile vein
Summary: Review Request: ossobuffo-jura-fonts - A sans-serif font family in the Eurost...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 14:03 UTC by Nicolas Mailhot
Modified: 2020-03-31 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:16:07 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 14:03:20 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240853-ossobuffo-jura-fonts/ossobuffo-jura-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240853-ossobuffo-jura-fonts/ossobuffo-jura-fonts-5.103-1.20191208git6e2614a.fc33.src.rpm

Description: Jura is a sans-serif font family in the Eurostile vein

Fedora Account System Username: nim



One of the top font families on Google fonts.

The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 2 Parag AN(पराग) 2020-03-14 17:55:31 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: ossobuffo-jura-fonts-5.103-3.20191208git6e2614a.fc33.noarch.rpm
          ossobuffo-jura-fonts-doc-5.103-3.20191208git6e2614a.fc33.noarch.rpm
          ossobuffo-jura-fonts-5.103-3.20191208git6e2614a.fc33.src.rpm
ossobuffo-jura-fonts.noarch: W: incoherent-version-in-changelog 5.103-3 ['5.103-3.20191208git6e2614a.fc33', '5.103-3.20191208git6e2614a']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Source checksums
----------------
https://github.com/ossobuffo/jura/archive/6e2614af65721fe74167b1f74b90e7bf5c0d0260/jura-6e2614af65721fe74167b1f74b90e7bf5c0d0260.tar.gz :
  CHECKSUM(SHA256) this package     : 05f1598f9bb8da0f78f28e80f897899f992b29368713ce8d33ab5e0ac3979350
  CHECKSUM(SHA256) upstream package : 05f1598f9bb8da0f78f28e80f897899f992b29368713ce8d33ab5e0ac3979350


Requires
--------
ossobuffo-jura-fonts (rpmlib, GLIBC filtered):
    config(ossobuffo-jura-fonts)
    fontpackages-filesystem

ossobuffo-jura-fonts-doc (rpmlib, GLIBC filtered):



Provides
--------
ossobuffo-jura-fonts:
    config(ossobuffo-jura-fonts)
    font(jura)
    font(juralight)
    font(juramedium)
    font(jurasemibold)
    metainfo()
    metainfo(org.fedoraproject.ossobuffo-jura-fonts.metainfo.xml)
    ossobuffo-jura-fonts

ossobuffo-jura-fonts-doc:
    ossobuffo-jura-fonts-doc


Issues:
1) Fix the Changelog rpmlint warning before package import.

APPROVED.

Comment 3 Gwyn Ciesla 2020-03-14 20:03:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ossobuffo-jura-fonts

Comment 4 Fedora Update System 2020-03-14 21:23:52 UTC
FEDORA-2020-11fb911082 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-11fb911082

Comment 5 Fedora Update System 2020-03-14 21:24:01 UTC
FEDORA-2020-80fab04e07 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-80fab04e07

Comment 6 Fedora Update System 2020-03-15 14:29:51 UTC
ossobuffo-jura-fonts-5.103-3.20200314git6e2614a.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-11fb911082

Comment 7 Fedora Update System 2020-03-16 14:12:22 UTC
ossobuffo-jura-fonts-5.103-3.20200314git6e2614a.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-80fab04e07

Comment 8 Fedora Update System 2020-03-31 00:16:07 UTC
FEDORA-2020-80fab04e07 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.